from sqlalchemy import Column, String, DateTime, Text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.sql import func
from core.database import Base
import uuid

class Contact(Base):
    __tablename__ = "contacts"

    id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    name = Column(String, nullable=False, info={'min_length': 1, 'description': 'Contact name'})
    email = Column(String, nullable=False, index=True, info={'description': 'Contact email address'})
    message = Column(Text, nullable=False, info={'min_length': 1, 'description': 'Contact message'})
    created_at = Column(DateTime, default=func.now())
    updated_at = Column(DateTime, default=func.now(), onupdate=func.now())